Package org.drinkless.tdlib

# Class TdApi.CallStateError

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CallState
org.drinkless.tdlib.TdApi.CallStateError

Enclosing class:
  TdApi

public static class TdApi.CallStateError extends TdApi.CallState
The call has ended with an error.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.CallState

  `TdApi.CallState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Error`
  `error`
  Error.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallStateError()`
  The call has ended with an error.
  `CallStateError(TdApi.Error error)`
  The call has ended with an error.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### error

    public TdApi.Error error
    Error. An error with the code 4005000 will be returned if an outgoing call is missed because of an expired timeout.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CallStateError

    public CallStateError()
    The call has ended with an error.

  - ### CallStateError

    public CallStateError(TdApi.Error error)
    The call has ended with an error.
    Parameters:
      `error` - Error. An error with the code 4005000 will be returned if an outgoing call is missed because of an expired timeout.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.CallState`
    Returns:
      this.CONSTRUCTOR